apiVersion: batch/v1beta1
kind: CronJob
metadata:
  annotations:
    cronjob.couchbase.com/spec: '{"schedule":"*/5 * * * *","concurrencyPolicy":"Forbid","jobTemplate":{"metadata":{"creationTimestamp":null},"spec":{"backoffLimit":2,"template":{"metadata":{"creationTimestamp":null},"spec":{"volumes":[{"name":"couchbase-cluster-backup-volume","persistentVolumeClaim":{"claimName":"full-incremental"}},{"name":"couchbase-admin","secret":{"secretName":"basic-test-secret"}}],"containers":[{"name":"cbbackupmgr-full","image":"couchbase/operator-backup:6.5.0","command":["backup_script"],"args":["test-couchbase-k5fbc","--strategy","full_incremental","--config","true","--mode","backup","--backup-ret","720.00","--log-ret","168.00","-v","INFO"],"workingDir":"/","resources":{},"volumeMounts":[{"name":"couchbase-cluster-backup-volume","mountPath":"/data"},{"name":"couchbase-admin","readOnly":true,"mountPath":"/var/run/secrets/couchbase"}]}],"restartPolicy":"Never","serviceAccountName":"couchbase-backup"}}}},"successfulJobsHistoryLimit":3,"failedJobsHistoryLimit":5}'
    operator.couchbase.com/version: 2.0.0
  creationTimestamp: "2020-03-04T02:08:49Z"
  labels:
    app: couchbase
    couchbase_backup: full-incremental
    couchbase_cluster: test-couchbase-k5fbc
  name: full-incremental-full-test
  namespace: default
  ownerReferences:
  - apiVersion: couchbase.com/v2
    controller: true
    kind: CouchbaseCluster
    name: test-couchbase-k5fbc
    uid: 669c2a2c-5dbc-11ea-8f76-067f1dd47d02
  resourceVersion: "55873272"
  selfLink: /apis/batch/v1beta1/namespaces/default/cronjobs/full-incremental-full-test
  uid: 163604fd-5dbd-11ea-8f76-067f1dd47d02
spec:
  concurrencyPolicy: Forbid
  failedJobsHistoryLimit: 5
  jobTemplate:
    metadata:
      creationTimestamp: null
    spec:
      backoffLimit: 2
      template:
        metadata:
          creationTimestamp: null
        spec:
          containers:
          - args:
            - test-couchbase-k5fbc
            - --strategy
            - full_incremental
            - --config
            - "true"
            - --mode
            - backup
            - --backup-ret
            - "720.00"
            - --log-ret
            - "168.00"
            - -v
            - INFO
            command:
            - backup_script
            image: couchbase/operator-backup:6.5.0
            imagePullPolicy: IfNotPresent
            name: cbbackupmgr-full
            resources: {}
            terminationMessagePath: /dev/termination-log
            terminationMessagePolicy: File
            volumeMounts:
            - mountPath: /data
              name: couchbase-cluster-backup-volume
            - mountPath: /var/run/secrets/couchbase
              name: couchbase-admin
              readOnly: true
            workingDir: /
          dnsPolicy: ClusterFirst
          restartPolicy: Never
          schedulerName: default-scheduler
          securityContext: {}
          serviceAccount: couchbase-backup
          serviceAccountName: couchbase-backup
          terminationGracePeriodSeconds: 30
          volumes:
          - name: couchbase-cluster-backup-volume
            persistentVolumeClaim:
              claimName: full-incremental
          - name: couchbase-admin
            secret:
              defaultMode: 420
              secretName: basic-test-secret
  schedule: '*/5 * * * *'
  successfulJobsHistoryLimit: 3
  suspend: true
status:
  lastScheduleTime: "2020-03-04T02:20:00Z"
